commit:     ce567b79660e5635d95303297fe5e9191324d397
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  2 18:04:11 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Jan  2 18:04:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce567b79

media-gfx/inkscape: sync sandbox issue fix with -9999

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 media-gfx/inkscape/inkscape-9999.ebuild | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/media-gfx/inkscape/inkscape-9999.ebuild 
b/media-gfx/inkscape/inkscape-9999.ebuild
index 1cc566e6135..d9978ad99f8 100644
--- a/media-gfx/inkscape/inkscape-9999.ebuild
+++ b/media-gfx/inkscape/inkscape-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -152,4 +152,7 @@ src_install() {
        if [[ -e "${extdir}" ]] && [[ -n $(find "${extdir}" -mindepth 1) ]]; 
then
                python_optimize "${ED}"/usr/share/${PN}/extensions
        fi
+
+       # Empty directory causes sandbox issues, see bug #761915
+       rm -r "${ED}/usr/share/inkscape/fonts" || die "Failed to remove fonts 
directory."
 }

Reply via email to